Bug 201941 - Review Request: tetex-elsevier
Review Request: tetex-elsevier
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-09 17:10 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 04:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-09 17:10:32 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-elsevier.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-elsevier-0.1.20060416-1.src.rpm
Description: 

LaTeX style files for the Elsevier publisher.
Comment 1 Patrice Dumas 2006-08-09 17:21:39 EDT
The package consist in the style file and documentation files
found on the elsevier web site.

There is a package in ctan but it is very outdated. 

The documentation files don't have an explicit licence 
but they are tighly associated with the style files 
and available from the same web page so I packaged
the documentation along. I didn't packaged te documentation
sources, although they are available at the same place.
Comment 2 Patrice Dumas 2006-08-09 18:03:03 EDT
New srpm (shipping the web page wasn't convenient):
http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-elsevier-0.1.20060416-2.src.rpm

- Ship a README.fedora file instead of packaging the web page
Comment 3 Patrice Dumas 2006-08-10 12:38:40 EDT
New srpm (ifac style isn't redistributable)
http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-elsevier-0.1.20060416-3.src.rpm

- don't ship the ifac style, it is not redistributable
Comment 4 Jason Tibbitts 2006-08-10 22:15:10 EDT
There's not much to this package; upstream doesn't distribute this as anything
other than a bunch of separate files.  However, one things that concerns me is
the files are essentially unversioned upstream.  One thing you might consider
doing is preserving the original file dates, but that might be difficult when
fixing up the line endings.

Also, why do you have BuildRequires: tetex-latex?  It doesn't seem to be
required for anything since you're just copying files around.

Otherwise rpmlint is quiet and everything looks good.

* source files match upstream:
   bb7c3602a593e7801068a0f4e3ac794e  elsart1p.cls
   2708bc993954490cb837de6a50548adc  elsart3p.cls
   06e26323c76bcfac2186918a050e84a2  elsart5p.cls
   42609cbfaf1af3a660af564dbab9d42c  elsart.cls
   9205bf5292356dd1f0c924de61bc8dda  elsart-harv.bst
   d94d325492f5efdb522bc1b966338ffd  elsart-num.bst
   0c563cda4d6a90aed64b1842cd1a3cc1  instructions-harv.pdf
   d705c36eed9d254a25749bbf76e32a8f  instructions-num.pdf
   cc0c1c70f26472955aeb9e278e230858  template-harv.tex
   aa0283ae870ebb69c2dee52eb3881b58  template-num.tex
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
? BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   tetex-elsevier = 0.1.20060416-3.fc6
  =
   /usr/bin/texhash
   tetex-latex
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets look OK.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.  (Actually the
documentation is several times larger than the rest of the package, but the
whole thing is only 500K.)
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
Comment 5 Patrice Dumas 2006-08-11 08:58:16 EDT
With the new src.rpm the timestamps are kept for the source files
(normally I try to always keep the timestamps, and I used them
to construct the version, although I made a mistake on the month).

I also keep the timestamp for the installed files. The result is
a spec which is rather verbose since I don't know how to preserve
the creation date when copying a file. install -p and cp -p don't
keep it. Tell me if you prefer that I remove those changes.

- keep files timestamps, even for installed files
- remove unneeded tetex-latex BuildRequires
- correct the version by using the right month from the file timestamps

http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-elsevier-0.1.20060516-1.src.rpm
Comment 6 Jason Tibbitts 2006-08-11 11:50:56 EDT
(In reply to comment #5)
> With the new src.rpm the timestamps are kept for the source files
> (normally I try to always keep the timestamps, and I used them
> to construct the version, although I made a mistake on the month).

Ah, I was wondering where that version came from, since it didn't match the
dates on the files.

> I also keep the timestamp for the installed files. The result is
> a spec which is rather verbose since I don't know how to preserve
> the creation date when copying a file. install -p and cp -p don't
> keep it.

How odd, cp -p should work and in fact it does seem to work for me; I commented
out the touch statements in %install and built in mock and the resulting package
had Apr 12 and May 16 for the .bst and .cls files, respectively.  Even the .pdf
files in %doc came out correctly.  I then commented out the first touch staement
in %prep and things were still OK.

However, even with an unmodified spec, the .tex files still came out with the
build time.  Perhaps it would be best just to leave things alone since they
really are being modified.

> Tell me if you prefer that I remove those changes.

I think it's useful to try and preserve the timestamps as possible, but just
using cp -p seems to work fine for me so the extra work seems unnecessary.

I wonder why you're seeing different behavior?
Comment 7 Patrice Dumas 2006-08-11 17:17:39 EDT
(In reply to comment #6)
> (In reply to comment #5)

> I wonder why you're seeing different behavior?

Because I did testing stupidly. I didn't used cp -p for the 
first cp when testing. Now it should work, and I also 
fixed the .tex timestamps.

http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-elsevier-0.1.20060516-2.src.rpm
Comment 8 Jason Tibbitts 2006-08-13 15:51:45 EDT
Everything looks fine to me.

APPROVED
Comment 9 Patrice Dumas 2006-08-15 04:45:36 EDT
Imported in cvs, built for devel, added in owners, branch asked for FC-5.

Thanks for the helpfull review!

Note You need to log in before you can comment on or make changes to this bug.